質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.34%

  • Ruby

    5185questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

rmagickのインストールに関して

受付中

回答 1

投稿 2017/11/22 02:06

  • 評価
  • クリップ 0
  • VIEW 43

penginer

score 10

前提・実現したいこと

Windows10のPCにrmajickを入れようとして
DevelopmentKitとImagemagickをインストールし、
gemを用いてrmagickをインストールしようとしています。

発生している問題・エラーメッセージ

You have to install development tools first.

You have to install development tools first.
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:542:in `try_link0'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:557:in `try_link'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:775:in `try_func'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:1002:in `block in have_library'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:945:in `block in checking_for'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:351:in `block (2 levels) in postpone'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:321:in `open'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:351:in `block in postpone'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:321:in `open'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:347:in `postpone'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:944:in `checking_for'
        from C:/Ruby24-x64/lib/ruby/2.4.0/mkmf.rb:997:in `have_library'
        from extconf.rb:144:in `configure_compile_options'
        from extconf.rb:16:in `initialize'
        from extconf.rb:548:in `new'
        from extconf.rb:548:in `<main>'


また、mkmf.logを見ると
このようなことが書いてありました

"x86_64-w64-mingw32-gcc -o conftest.exe -IC:/Ruby24-x64/include/ruby-2.4.0/x64-mingw32 -IC:/Ruby24-x64/include/ruby-2.4.0/ruby/backward -IC:/Ruby24-x64/include/ruby-2.4.0 -I. -D_FORTIFY_SOURCE=2 -D__USE_MINGW_ANSI_STDIO=1 -DFD_SETSIZE=2048 -D_WIN32_WINNT=0x0501 -D__MINGW_USE_VC2005_COMPAT -D_FILE_OFFSET_BITS=64  -march=x86-64 -mtune=generic -O2 -pipe conftest.c  -L. -LC:/Ruby24-x64/lib -L. -pipe     -lx64-msvcrt-ruby240  -lgmp -lshell32 -lws2_32 -liphlpapi -limagehlp -lshlwapi  "
checked program was:
/* begin */
1: #include "ruby.h"
2: 
3: #include <winsock2.h>
4: #include <windows.h>
5: int main(int argc, char **argv)
6: {
7:   return 0;
8: }

該当のソースコード

以下はコマンドプロンプトに書いた内容です(パスは通っています)

gem install rmagick

試したこと

出来る限りは調べてみました

補足情報(言語/FW/ツール等のバージョンなど)

rubyのバージョンは2.4.0
Imagemagickのバージョンはv7.0.7.6で、
どちらも64bit版です。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

Ruby 2.4以上では、DevKitが以前とは別物になっています。ridk installコマンドでインストールできる、とのことです(詳細)。

投稿 2017/11/22 07:25

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.34%

関連した質問

同じタグがついた質問を見る

  • Ruby

    5185questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。